rte_gtp.h(3)

NAME
rte_gtp.h

SYNOPSIS

#include <stdint.h>
#include <rte_byteorder.h>

  Data Structures

struct rte_gtp_hdr
struct rte_gtp_psc_generic_hdr
struct rte_gtp_psc_type0_hdr
struct rte_gtp_psc_type1_hdr

  Macros

#define RTE_ETHER_GTP_HLEN (sizeof(struct rte_udp_hdr) + sizeof(struct rte_gtp_hdr))
#define RTE_GTP_TYPE_IPV4 0x40
#define RTE_GTP_TYPE_IPV6 0x60
#define RTE_GTPC_UDP_PORT 2123
#define RTE_GTPU_UDP_PORT 2152

Detailed Description

GTP-related defines

Definition in file rte_gtp.h.

Macro Definition Documentation

  #define RTE_ETHER_GTP_HLEN (sizeof(struct rte_udp_hdr) + sizeof(struct rte_gtp_hdr))
GTP header length

Definition at line 140 of file rte_gtp.h.

  #define RTE_GTP_TYPE_IPV4 0x40
GTP next protocol type IPv4

Definition at line 143 of file rte_gtp.h.

  #define RTE_GTP_TYPE_IPV6 0x60
GTP next protocol type IPv6

Definition at line 144 of file rte_gtp.h.

  #define RTE_GTPC_UDP_PORT 2123
GTP-C UDP destination port

Definition at line 146 of file rte_gtp.h.

  #define RTE_GTPU_UDP_PORT 2152
GTP-U UDP destination port

Definition at line 147 of file rte_gtp.h.

Author

Generated automatically by Doxygen for DPDK from the source code.